Add Puppet provider to manage a truststore
Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-ce

rts/pull/336

  

Description

Associated revisions

Revision b73ebec1 - 05/27/2021 08:32 PM - Eric Helms

Fixes #32637: Add truststore type and provider

Refactors the keystore provider code into a common module within

the Puppet_X namespace that is re-used by the truststore. The mechanics

behind a truststore and keystore are very similar with a truststore

only containing public certificates while a keystore manages private

keys as well.

History

#1 - 05/20/2021 12:58 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/puppet-certs/pull/336 added

#2 - 05/27/2021 08:32 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#3 - 05/27/2021 09:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-certs|b73ebec1bc89fe6519bed9fae27b05d54df37acf.

#4 - 08/24/2021 10:03 AM - Amit Upadhye

- Category set to Foreman modules
